<style>
    .form-horizontal .form-group {
        margin-left: 0 !important;
        padding: 5px;
        height: 50px;
    }

    .form-group .control-label {
        color: #000 !important;
        opacity: 1 !important;
        margin-right: -18px;
    }

    .border-line {
        border-left: 2px solid #eee;
    }

    #WizardModal .nav-tabs-linetriangle>li.active>a:after {
        border-top-color: #fff;
    }
</style>
<?php
$edit_org_fields_to_hide = smc_session()['default_setting']['edit_org_fields_to_hide'] != '' ? explode(",", smc_session()['default_setting']['edit_org_fields_to_hide']) : [];
?>
<div class="modal fade DontReset" data-backdrop="static" id="EditModal2" tabindex="-1" role="dialog" aria-hidden="true" style="margin: 0 auto;">
    <div class="modal-dialog" style="width: 80%;">
        <div class="modal-content">
            <div class="modal-header clearfix text-left">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="pg-close fs-14"></i></button>
                <div id="EditOrgValidation"></div>
            </div>
            <div class="modal-body">
                <div class="container-fluid container-fixed-lg">
                    <div id="rootwizard1" class="m-t-50">
                        <ul class="nav nav-tabs nav-tabs-linetriangle nav-tabs-separator nav-stack-sm">
                            <li class="active">
                                <a data-toggle="tab" href="#newtab1"><i class="fa fa-shopping-cart tab-icon"></i> <span><?php print CommonLanguage::getMessage('org_name'); ?></span></a>
                            </li>
                            <li class="">
                                <a data-toggle="tab" href="#newtab2"><i class="fa fa-truck tab-icon"></i> <span><?php print CommonLanguage::getMessage('contact_details'); ?></span></a>
                            <li class="">
                                <a data-toggle="tab" href="#newtab3"><i class="fa fa-link tab-icon"></i> <span><?php print CommonLanguage::getMessage('social_links'); ?></span></a>
                            </li>
                        </ul>
                        <form class="form-horizontal" role="form" autocomplete="off" onsubmit="return false">
                            <input type="hidden" name="Organization_Business_Line" value="1" />
                            <input type="hidden" name="Organization_Email" value="1" />
                            <div class="tab-content">
                                <div class="tab-pane padding-20 active slide-left" id="newtab1">
                                    <div class="row row-same-height">
                                        <div class="col-xs-5  col-md-5 col-lg-5  b-grey ">
                                            <div class="form-group">
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('name_ar'); ?></label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" value="<?php echo $Org_Info[0]['Organization_Name']; ?>" name="Organization_Name" id="EditOrganization_Name" aria-required="true">
                                                </div>
                                            </div>
                                            <div class="form-group" <?php echo !in_array(3, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('country'); ?></label>
                                                <div class="form-group ">
                                                    <select class="full-width select-meduim" data-init-plugin="select2" name="Organization_Country" id="EditOrganization_Country">
                                                        <?php foreach ($CountryOrg as $Countries) : ?>
                                                            <option <?php echo $Countries['Country_ID'] == $Org_Info[0]['Country_ID'] ? 'selected' : '';  ?> value="<?php echo $Countries['Country_ID']; ?>"><?php echo $Countries['Country_Name']; ?></option>
                                                        <?php endforeach; ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-group" <?php echo !in_array(5, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('city'); ?></label>
                                                <input type="hidden" value="<?php echo $Org_Info[0]['ID']; ?>" data-select-name="<?php echo $Org_Info[0]['city_name']; ?>" name="Organization_City" id="EditOrganization_City" class="full-width select-meduim" />

                                            </div>
                                            <div hidden class="form-group">
                                                <label for="fname" class="col-xs-3 col-sm-3 col-md-3 control-label"><?php print CommonLanguage::getMessage('legal_name'); ?></label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" disabled="disabled" value="<?php echo $Org_Info[0]['Organization_Legal_Name']; ?>" name="Organization_Legal_Name" id="EditOrganization_Legal_Name" aria-required="true">
                                                </div>
                                            </div>

                                        </div>
                                        <div class="col-xs-7  col-md-7 col-lg-6">
                                            <div class="col-xs-12  col-md-12 col-lg-11">
                                                <div class="form-group" <?php echo !in_array(18, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                    <label for="fname" class="col-xs-3 col-sm-3 col-md-3 control-label"><?php print CommonLanguage::getMessage('name_en'); ?></label>
                                                    <div class="col-sm-8">
                                                        <input type="text" class="form-control" value="<?php echo $Org_Info[0]['organiaztion_name_en']; ?>" name="organiaztion_name_en" id="organiaztion_name_en" aria-required="true">
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label for="fname" class="col-xs-3 col-sm-3 col-md-3 control-label"><?php print CommonLanguage::getMessage('Email'); ?></label>
                                                    <div class="col-sm-8">
                                                        <input type="text" class="form-control" value="<?php echo $Org_Info[0]['Organization_Email']; ?>" name="Organization_Email" id="EditOrganization_Email" aria-required="true">
                                                    </div>
                                                </div>
                                                <div hidden class="form-group">
                                                    <div class="form-group ">
                                                        <label for="fname" class="col-xs-3 col-sm-3 col-md-3 control-label"><?php print CommonLanguage::getMessage('org_type'); ?></label>
                                                        <div class="col-sm-8">
                                                            <input type="text" class="form-control" disabled="disabled" value="<?php echo $Org_Info[0]['Organization_Type_Name']; ?>" name="Organization_Type_ID" id="EditOrganization_Type_ID" aria-required="true">
                                                        </div>
                                                    </div>
                                                    <div hidden class="form-group ">
                                                        <label for="fname" class="col-xs-3 col-sm-3 col-md-3 control-label"><?php print CommonLanguage::getMessage('legal_entity'); ?></label>

                                                        <div class="col-sm-8">
                                                            <input type="text" class="form-control" disabled="disabled" value="<?php echo $Org_Info[0]['Organization_Legal_Entity_Name']; ?>" name="Organization_Legal_Entity_ID" id="EditOrganization_Legal_Entity_ID" aria-required="true">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane slide-left " id="newtab2">
                                    <div class="row row-same-height">
                                        <div class="col-xs-5 col-md-5 col-lg-5 b-grey sm-b-b">
                                            <div class="form-group">
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('cr_ar'); ?></label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" value="<?php echo $Org_Info[0]['Organization_Commercial_Registry']; ?>" id="EditOrganization_Commercial_Registry" name="Organization_Commercial_Registry" aria-required="true">
                                                </div>
                                            </div>
                                            <div class="form-group" <?php echo !in_array(11, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('vat_ar'); ?></label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" value="<?php echo $Org_Info[0]['Organization_vat_num']; ?>" name="Organization_vat_num" id="Organization_vat_num" aria-required="true">
                                                </div>
                                            </div>
                                            <div <?php echo !in_array(2, $edit_org_fields_to_hide) ? '' : 'hidden'; ?> class="form-group">
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('phone_ar'); ?></label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" value="<?php echo $Org_Info[0]['Organization_Phone']; ?>" name="Organization_Phone" id="EditOrganization_Phone" aria-required="true">
                                                </div>
                                            </div>
                                            <div class="form-group" <?php echo !in_array(14, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('address_ar'); ?></label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" value="<?php echo $Org_Info[0]['org_address_ar']; ?>" name="org_address_ar" id="org_address_ar" aria-required="true">
                                                </div>
                                            </div>
                                            <div style="height: 60px;" class="form-group" <?php echo !in_array(14, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('org_des_ar'); ?></label>
                                                <div class="col-sm-8">
                                                    <textarea type="text" class="form-control" name="org_des_ar" id="org_des_ar" aria-required="true"><?php echo $Org_Info[0]['org_des_ar']; ?></textarea>
                                                </div>
                                            </div>
                                            <div <?php echo !in_array(0, $edit_org_fields_to_hide) ? '' : 'hidden'; ?> class="form-group">
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('fax'); ?></label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" value="<?php echo $Org_Info[0]['Organization_Fax']; ?>" name="Organization_Fax" id="EditOrganization_Fax" aria-required="true">
                                                </div>
                                            </div>
                                            <div <?php echo !in_array(4, $edit_org_fields_to_hide) ? '' : 'hidden'; ?> class="form-group">
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('line_of_business'); ?></label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" value="<?php echo $Org_Info[0]['Organization_Business_Line']; ?>" name="Organization_Business_Line" id="EditOrganization_Business_Line" aria-required="true">
                                                </div>
                                            </div>
                                            <div class="form-group" <?php echo !in_array(6, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('building_no'); ?></label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" value="<?php echo $Org_Info[0]['Organization_Building_no']; ?>" name="building_no" id="building_no" aria-required="true">
                                                </div>
                                            </div>
                                            <div class="form-group" <?php echo !in_array(8, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('Street_no'); ?></label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" value="<?php echo $Org_Info[0]['Organization_Street_no']; ?>" name="Organization_Street_no" id="Organization_Street_no" aria-required="true">
                                                </div>
                                            </div>
                                            <div class="form-group" <?php echo !in_array(10, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('District'); ?></label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" value="<?php echo $Org_Info[0]['Organization_District']; ?>" name="Organization_District" id="Organization_District" aria-required="true">
                                                </div>
                                            </div>




                                        </div>
                                        <div class="col-xs-7 col-md-7 col-lg-5">
                                            <div class="form-group-attached">
                                                <div class="form-group" <?php echo !in_array(17, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                    <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('cr_en'); ?></label>
                                                    <div class="col-sm-8">
                                                        <input type="text" class="form-control" value="<?php echo $Org_Info[0]['org_cr_en']; ?>" name="org_cr_en" id="org_cr_en" aria-required="true">
                                                    </div>
                                                </div>
                                                <div class="form-group" <?php echo !in_array(15, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                    <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('vat_en'); ?></label>
                                                    <div class="col-sm-8">
                                                        <input type="text" class="form-control" value="<?php echo $Org_Info[0]['org_vat_en']; ?>" name="org_vat_en" id="org_vat_en" aria-required="true">
                                                    </div>
                                                </div>
                                                <div class="form-group" <?php echo !in_array(13, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                    <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('phone_en'); ?></label>
                                                    <div class="col-sm-8">
                                                        <input type="text" class="form-control" value="<?php echo $Org_Info[0]['org_phone_en']; ?>" name="org_phone_en" id="org_phone_en" aria-required="true">
                                                    </div>
                                                </div>
                                                <div class="form-group" <?php echo !in_array(16, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                    <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('address_en'); ?></label>
                                                    <div class="col-sm-8">
                                                        <input type="text" class="form-control" value="<?php echo $Org_Info[0]['org_address_en']; ?>" name="org_address_en" id="org_address_en" aria-required="true">
                                                    </div>
                                                </div>
                                                <div style="height: 60px;" class="form-group" <?php echo !in_array(14, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                    <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('org_des_en'); ?></label>
                                                    <div class="col-sm-8">
                                                        <textarea type="text" class="form-control" name="org_des_en" id="org_des_en" aria-required="true"><?php echo $Org_Info[0]['org_des_en']; ?></textarea>
                                                    </div>
                                                </div>
                                                <div class="form-group" <?php echo !in_array(1, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                    <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('street_address'); ?></label>
                                                    <div class="col-sm-8">
                                                        <input type="text" class="form-control" value="<?php echo $Org_Info[0]['Organization_Street']; ?>" name="Organization_Street" id="EditOrganization_Street" aria-required="true">
                                                    </div>
                                                </div>

                                                <div class="form-group" <?php echo !in_array(7, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                    <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('postal_code'); ?></label>
                                                    <div class="col-sm-8">
                                                        <input type="text" class="form-control" value="<?php echo $Org_Info[0]['edit_Organization_Postal_Code']; ?>" name="edit_Organization_Postal_Code" id="edit_Organization_Postal_Code" aria-required="true">
                                                    </div>
                                                </div>
                                                <div class="form-group" <?php echo !in_array(9, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                    <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('additional_no'); ?></label>
                                                    <div class="col-sm-8">
                                                        <input type="text" class="form-control" value="<?php echo $Org_Info[0]['Organization_Additional_no']; ?>" name="Organization_Additional_no" id="Organization_Additional_no" aria-required="true">
                                                    </div>
                                                </div>
                                                <div class="form-group" <?php echo !in_array(12, $edit_org_fields_to_hide) ? '' : 'hidden'; ?>>
                                                    <label for="fname" class="col-sm-4 control-label"><?php print CommonLanguage::getMessage('Other_Seller_ID'); ?></label>
                                                    <div class="col-sm-8">
                                                        <input type="text" class="form-control" value="<?php echo $Org_Info[0]['organization_Other_Seller_ID']; ?>" name="organization_Other_Seller_ID" id="organization_Other_Seller_ID" aria-required="true">
                                                    </div>
                                                </div>




                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane slide-left padding-20" id="newtab3">
                                    <div class="col-xs-6 col-md-6 col-lg-5">
                                        <div class="form-group  ">
                                            <label class="col-sm-2 control-label"><i class="fa fa-facebook-square fa-2x" style="color:#4c0870"></i></label>
                                            <div class="col-sm-10">
                                                <input type="text" class="faceBook form-control" value="<?php echo $Org_Info[0]['Organization_Face_Book']; ?>" id="EditOrganization_Face_Book" name="Organization_Face_Book" placeholder="<?php print CommonLanguage::getMessage('facebook'); ?>">
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-2 control-label"><i class="fa fa-twitter-square fa-2x" style="color:#4c0870"></i></label>
                                            <div class="col-sm-10">
                                                <input type="text" class="Twitter form-control" value="<?php echo $Org_Info[0]['Organization_Twitter']; ?>" id="EditOrganization_Twitter" name="Organization_Twitter" placeholder="<?php print CommonLanguage::getMessage('twitter'); ?>">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-md-6 col-lg-5">
                                        <div class="form-group">
                                            <label class="col-sm-2 control-label"><i class="fa fa-linkedin-square fa-2x" style="color:#4c0870"></i></label>
                                            <div class="col-sm-10">
                                                <input type="text" class="Linkedin form-control" value="<?php echo $Org_Info[0]['Organization_Linkedin']; ?>" id="EditOrganization_Linkedin" name="Organization_Linkedin" placeholder="<?php print CommonLanguage::getMessage('linkedin'); ?>">
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-2 control-label"><i class="fa fa-google-plus-square fa-2x" style="color:#ed9421"></i></label>
                                            <div class="col-sm-10">
                                                <input type="text" class="PlusGoogle form-control" id="EditOrganization_Plus_Google" value="<?php echo $Org_Info[0]['Organization_Plus_Google']; ?>" name="Organization_Plus_Google" placeholder="<?php print CommonLanguage::getMessage('google'); ?>">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-md-12 col-lg-10">
                                    <div class="padding-20 bg-white">
                                        <ul class="pager wizard">
                                            <li class="next">
                                                <button class="btn btn-complete btn-cons btn-animated from-left fa fa-truck pull-right" type="button">
                                                    <span><?php print CommonLanguage::getMessage('next'); ?></span>
                                                </button>
                                                <button class="btn btn-complete btn-cons btn-animated from-left fa fa-cog pull-right" id="SubmitUpdateOrg" type="submit">
                                                    <span><?php print CommonLanguage::getMessage('Save'); ?></span>
                                                </button>
                                            </li>
                                            <!-- <li class="next finish hidden">
                                                <button class="btn btn-complete btn-cons btn-animated from-left fa fa-cog pull-right" id="SubmitUpdateOrg" type="submit">
                                                    <span><?php print CommonLanguage::getMessage('Save'); ?></span>
                                                </button>
                                            </li> -->
                                            <li class="previous first hidden">
                                                <button class="btn btn-default btn-cons btn-animated from-left fa fa-cog pull-right" type="button">
                                                    <span><?php print CommonLanguage::getMessage('first'); ?></span>
                                                </button>
                                            <li class="next finish hidden">
                                                <button class="btn btn-complete btn-cons btn-animated from-left fa fa-cog pull-right" id="SubmitUpdateOrg2" type="submit">
                                                    <span><?php print CommonLanguage::getMessage('Save'); ?></span>
                                                </button>
                                            </li>
                                            </li>
                                            <li class="previous">

                                                <button class="btn btn-default btn-cons pull-right" type="button">
                                                    <span><?php print CommonLanguage::getMessage('previous'); ?></span>
                                                </button>
                                             </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    var Required_Fields = <?php echo json_encode(CommonLanguage::getMessage('Required_Fields')); ?>,
        Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>,
        Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>;
    $(function() {
        $("body").addClass("NoSearch")
        $("body .search-link[data-toggle='search']").html("<i class='pg-search'></i>Click here to <span class='bold'>search</span>")
        build_select2($("#EditOrganization_City"), "xhr/searchCity?Country_ID=" + $("#EditOrganization_Country").val());
        $("#EditOrganization_Country").on("change", function() {
            console.log('EditOrganization_Country change ' + $("#EditOrganization_Country").val())
            build_select2($("#EditOrganization_City"), "xhr/searchCity?Country_ID=" + $("#EditOrganization_Country").val());
        });
        $("#SubmitUpdateOrg,#SubmitUpdateOrg2").on("click", function() {
            var Data = {
                Organization_Name: $("#EditOrganization_Name").val(),
                Organization_Legal_Name: $("#EditOrganization_Legal_Name").val(),
                Organization_Commercial_Registry: $("#EditOrganization_Commercial_Registry").val(),
                Organization_Email: $("#EditOrganization_Email").val(),
                Organization_Type_ID: $("#EditOrganization_Type_ID").val(),
                Organization_Legal_Entity_ID: $("#EditOrganization_Legal_Entity_ID").val(),
                Organization_Fax: $("#EditOrganization_Fax").val(),
                Organization_Phone: $("#EditOrganization_Phone").val(),
                Organization_Business_Line: $("#EditOrganization_Business_Line").val(),
                Organization_Street: $("#EditOrganization_Street").val(),
                Organization_Country: $("#EditOrganization_Country").val(),
                Organization_City: $("#EditOrganization_City").val(),
                Organization_Face_Book: $("#EditOrganization_Face_Book").val(),
                Organization_Twitter: $("#EditOrganization_Twitter").val(),
                Organization_Linkedin: $("#EditOrganization_Linkedin").val(),
                building_no: $("#building_no").val(),
                Organization_Street_no: $("#Organization_Street_no").val(),
                Organization_District: $("#Organization_District").val(),
                edit_Organization_Postal_Code: $("#edit_Organization_Postal_Code").val(),
                Organization_Additional_no: $("#Organization_Additional_no").val(),
                organization_Other_Seller_ID: $("#organization_Other_Seller_ID").val(),
                Organization_vat_num: $("#Organization_vat_num").val(),

                org_address_ar: $("#org_address_ar").val(),
                org_address_en: $("#org_address_en").val(),
                org_cr_en: $("#org_cr_en").val(),
                org_vat_en: $("#org_vat_en").val(),
                org_phone_en: $("#org_phone_en").val(),
                org_des_en: $("#org_des_en").val(),
                org_des_ar: $("#org_des_ar").val(),

                organiaztion_name_en: $("#organiaztion_name_en").val(),

                Organization_Plus_Google: $("#EditOrganization_Plus_Google").val()
            };
            $.ajax({
                url: "ACCAjax/editOrganization",
                method: "POST",
                data: Data,
                complete: function(v1, v2) {
                    console.log(Data);
                    if (v2 == 'success' && v1.responseText === 'success') {
                        $("#OrgIsBusy").remove()
                        $("#EditOrgValidation").attr("class", "alert alert-success").empty().html(Submitted_Successfully);
                        setTimeout(function() {
                            $("#EditModal2").modal('hide')
                        }, 500)
                        setTimeout(function() {
                            $("#EditOrgValidation").hide()
                        }, 500)

                    } else {
                        $("#EditOrgValidation").attr("class", "alert-danger").empty().html(Failed_Submit);
                    }
                    $("#OrgIsBusy").remove()
                }

            });
        });
    });
</script>