
<style type="text/css">
    #EmployeeExpenseTable thead tr th {
        color:#555;
        border-bottom: 1px solid rgba(0,0,0,0.1);
    }
    #EmployeeExpenseTable tbody tr td input{
        width:100%;
        margin:0;
        border: 1px solid rgba(0,0,0,0.02);
        background-color:#e5e5e5;
    }
    #EmployeeExpenseTable tbody tr td {
        border:0;
        padding:3px 1px;
        position:relative;
    }
    #EmployeeExpenseTable tbody tr:first-child td{
        padding-top:10px;
    }
    #InvoiceDiscountInput{
        display: inline-block;
        width: 40px;
        padding: 3px;
        line-height: 20px;
        background: rgb(250, 250, 250);
        min-height: 12px;
        text-align: center;
        height: 25px;
        font-size: 12px;
        top: -2px;
        position: relative;
        margin: 0 3px;
    }
    #EmployeeExpenseTable .Hint{
        position: absolute;
        font-size: 10px;
        font-weight: bold;
        height: 20px;
        line-height: 20px;
        bottom: 2px;
        right: 4px;
        color: rgb(153, 153, 153);
    }
    #EmployeeExpenseTable .TotalTD{
        width: auto;
        display: inline-block;
        text-align: center;
        font-size: 20px;
        font-weight: bold;
    }
    #EmployeeExpenseTable .Disc{
        width:50px;
    }
    #EmployeeExpenseTable input.wrong{
        border: 1px solid rgba(255, 0, 0, 0.2);
        background: rgba(255, 0, 0, 0.05);
    }
    .DropDownForForms > .dropdown-menu{
        width:100%;
        height:200px;
        max-height:200px;
        overflow-y:scroll;
    }
    .DropDownForForms > .dropdown-menu{
        height:auto;
        cursor: pointer;
        overflow-y:auto;
    }
    .DropDownForForms > button{
        position:relative;
        z-index:999;
    }
    .DropDownForForms > button > input{
        position: absolute;
        left:5;
        top: 0;
        width:90%;
        cursor: pointer;
        -webkit-user-select:none;
        -moz-user-select:none;
        user-select:none;
        padding: 0;
        border: 0;
        background: transparent;
    }
    .Disabled{
        cursor:default;
        opacity:0.5;
    }
    #AdvanceValue{
        width: 102px;
        display: inline-block;
    }
    .datepicker thead tr .dow {
        color:#4c0870 !important;
    }
    .datepicker table tr td.day:hover {
        background: #4c0870 !important;
        color:#fff;
    }
    .datepicker table tr td.active {
        background-color: #4c0870 !important;
    }
    .datepicker thead tr .datepicker-switch {
        color: #4c0870  !important;
        font-size: 13px;
    }
    .datepicker table tr td span.active {
        background-color: #4c0870!important;
color:#ed9421 !important;    }
    .datepicker table tr td span:hover {
        background-color: #4c0870 !important;
        color:#fff;
    }
    datepicker thead tr .next:before, .datepicker thead tr .prev:before {
        color: #4c0870 !important;
        font-family: 'FontAwesome';
        font-size: 10px;
    }
    .datepicker thead tr .next:before, .datepicker thead tr .prev:before {
        color: #4c0870 !important;
        font-family: 'FontAwesome';
        font-size: 10px;
    }
    .input-group-addon
    {
        background-color:#4c0870 !important;
        color:#fff;
    }
</style>
<script src="<?php echo THEME_PATH; ?>plugins/jquery-validation/js/jquery.validate.min.js"></script>
<div id="EmployeeExpenseDisabler" style="position:absolute;left:0;right:0;top:0px;height:100%;background:rgba(255,255,255,0.9);z-index:2099;display:none"><img class="image-responsive-height demo-mw-50" src="img/demo/progress.svg" alt="Progress" style="position: absolute;left: 50%;top: 50%;margin: -25px 0 0 -25px;" /></div>
<form method="POST" action="" onsubmit="return false" id="EmployeeExpenseForm">
    <div class="container-fluid container-fixed-lg">
        <div class="panel panel-default">
            <div class="panel-body">
                <div id="EmployeeExpenseSuccess" ></div>
                <div class="invoice padding-50 sm-padding-10">
                    <div class="container-sm-height">
                        <div class="row-sm-height">
                            <div class="col-md-9 col-sm-height sm-no-padding">
                                <h2 class="font-montserrat all-caps hint-text"><?php print CommonLanguage::getMessage('add_employee_expenses'); ?></h2>
                                <br>
                            </div>
                            <div class="col-md-4 col-sm-height col-bottom sm-no-padding sm-p-b-20" style="vertical-align: top;">
                                <div  class="form-group form-group-default input-group">
                                    <label><?php print CommonLanguage::getMessage('Date'); ?></label>
                                    <input id="Expense_Date" name="Expense_Date" class="form-control" value="<?php echo ($today); ?>" />
                                    <span class="input-group-addon "><i class="fa fa-calendar"></i></span>
                                </div>
                                <?php
                                echo Forms::CurrencyDropDown(1, 'success')
                                ?>

                                <br>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="table-responsive">
                        <table class="table m-t-50" id='EmployeeExpenseTable'>
                            <thead>
                                <tr>
                                    <th class="text-center"><?php print CommonLanguage::getMessage('employee_name'); ?><span class="red-star">*</span></th>
                                    <th class="text-center"><?php print CommonLanguage::getMessage('Description'); ?><span class="red-star">*</span></th>
                                    <th class="text-center"><?php print CommonLanguage::getMessage('amount'); ?><span class="red-star">*</span></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td><input type="text" class="form-control AutoComplete Employee_Name" id="Employee_ID" ></td>
                                    <td><input type="text" class="form-control" id= "Expense_Description" ></td>
                                    <td><input type="text" class="form-control Quantity isnumber" id="Expense_Quantity" ></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <br>
                    <div class="container-sm-height" >
                        <button class=" btn btn-success btn-cons m-b-10 pull-right" id="EmployeeExpenseSubmitButton" style="padding-top: 10px;top: 20px;min-width:253px;" type="button"><i class="pg-form"></i> <span class="bold"><?php print CommonLanguage::getMessage('Save'); ?></span></button>
                    </div>
                    <hr>
                </div>
            </div>
        </div>
    </div>
</form>
<script>
    var Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>,
        Required_Fields = <?php echo json_encode(CommonLanguage::getMessage('Required_Fields')); ?>,
            Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>;
            var current_Employee;
    $(function () {
        EnableAutoComplete($("#EmployeeExpenseTable .AutoComplete.Employee_Name"));
        $("#Expense_Date").datepicker({autoclose: true}).on("changeDate", function (e) {
            $(this).keyup();
        })

        $("#CurrencyDropDown li").click(function () {
            $(".CurrencyIndicator").html($(this).attr("MySymbol"))
        })
        var Def = $("#CurrencyDropDown li").filter(function () {
            return $(this).attr("value") == $("#CurrencyDropDown input").val()
        })
        if (Def.length > 0) {
            $(".CurrencyIndicator").html(Def.attr("MySymbol"))
            $("> button > span", $("#CurrencyDropDown")).html(Def.text())
        }
        $("#EmployeeExpenseForm").validate({
            ignore: ".ignore",
            rules: {
                Expense_Date: {required: true, date: true}
            }
        })
        $("#EmployeeExpenseSubmitButton").on("click", ApplyPostMethod);
    })
    function EnableAutoComplete(who) {
        if (!who.hasClass("AutoAdded")) {
            who.autocomplete({
                source: 'xhr/ajaxEmployee',
                minLength: 1,
                select: function (event, ui) {
                    var TR = $(this).parents("tr");
                    TR.find("input.Employee_Name").val(ui.item.Employee_Name)
                    current_Employee = ui.item.Employee_ID;
                    return false;
                }
            }).focus(function () {
                    $(this).autocomplete("search", $(this).val());
                }).autocomplete("instance")._resizeMenu = function (ul, items) {
                this.menu.element.outerWidth((who.width()) + parseFloat(who.css("padding-left")) + parseFloat(who.css("padding-right")) + 2);
            }
            who.autocomplete("instance")._renderItem = function (ul, item) {
                var MyType = item.Employee_Name;
                return $("<li>").html("<table cellspacing='0' cellpadding='0'><tr><td class='OnlyText'>" + MyType + "</td></tr></table>").appendTo(ul)
            }
            who.addClass("AutoAdded")
        }
    }
    function ApplyPostMethod() {
        if ($("#Expense_Quantity").val() == '' || $("#Expense_Description").val() == '' || $("#Employee_ID").val()=='') {
            $("#EmployeeExpenseSuccess").attr("class", "alert alert-danger").html(Required_Fields)
            return;
        }
        Data = {
            Employee_ID: current_Employee,
            Expense_Date: $("#Expense_Date").val(),
            Currency_ID: $("#CurrencyDropDown input").val(),
            Expense_Quantity: $("#Expense_Quantity").val(),
            Expense_Description: $("#Expense_Description").val()
        };
        //        if (!IsValidated)
        //            return;
        $("#EmployeeExpenseDisabler").show();
        $.ajax({
            url: "HRMAjax/addEmployeeExpense",
            method: "POST",
            data: Data,
            complete: function (v1, v2) {
                if (v2 == "success") {
                    $("#EmployeeExpenseSuccess").attr("class", "alert alert-success").html(Submitted_Successfully)
                } else {
                    $("#EmployeeExpenseSuccess").attr("class", "alert alert-danger").html(Failed_Submit)
                }
                $(document.body).animate({scrollTop: 0}, 800)
                $("#EmployeeExpenseDisabler").hide();
            }
        })
        //        }else{
        //            $(document.body).animate({scrollTop:0},800)
        //        }
    }
</script>
