<?php 
if ($IsEdit && $check_lock != '') { ?>
    <div class="alert alert-danger" role="alert">
        <button class="close" data-dismiss="alert"></button>
        <strong>Danger: </strong><?php echo $check_lock ?>
    </div>
    <?php
    return;
}
if ($IsEdit && empty($data)) { ?>
<div class="alert alert-danger" role="alert">
    <button class="close" data-dismiss="alert"></button>
    <strong>Danger: </strong>you can not edit this loan! 
    <br>
    This loan is not available.
</div>
<?php die(); } ?>

<style type="text/css">
    #LoanTable thead tr th {
        color:#555;
        border-bottom: 1px solid rgba(0,0,0,0.1);
    }
    #LoanTable tbody tr td input{
        width:100%;
        margin:0;
        border: 1px solid rgba(0,0,0,0.02);
        background-color:#e5e5e5;
    }
    #LoanTable tbody tr td {
        border:0;
        padding:3px 1px;
        position:relative;
    }
    #LoanTable tbody tr:first-child td{
        padding-top:10px;
    }
    #InvoiceDiscountInput{
        display: inline-block;
        width: 40px;
        padding: 3px;
        line-height: 20px;
        background: rgb(250, 250, 250);
        min-height: 12px;
        text-align: center;
        height: 25px;
        font-size: 12px;
        top: -2px;
        position: relative;
        margin: 0 3px;
    }
    #LoanTable .Hint{
        position: absolute;
        font-size: 10px;
        font-weight: bold;
        height: 20px;
        line-height: 20px;
        bottom: 2px;
        right: 4px;
        color: rgb(153, 153, 153);   
    }
    #LoanTable .TotalTD{
        width: auto;
        display: inline-block;
        text-align: center;
        font-size: 20px;
        font-weight: bold;
    }
    #LoanTable .Disc{
        width:50px;
    }
    #LoanTable input.wrong{
        border: 1px solid rgba(255, 0, 0, 0.2);
        background: rgba(255, 0, 0, 0.05);
    }
    .DropDownForForms > .dropdown-menu{
        width:100%;
        height:200px;
        max-height:200px;
        overflow-y:scroll;
    }
    .DropDownForForms > .dropdown-menu{
        height:auto;
        cursor: pointer;
        overflow-y:auto;
    }
    .DropDownForForms > button{
        position:relative;
        z-index:999;
    }
    .DropDownForForms > button > input{
        position: absolute;
        left:5;
        top: 0;
        width:90%;
        cursor: pointer;
        -webkit-user-select:none;
        -moz-user-select:none;
        user-select:none;
        padding: 0;
        border: 0;
        background: transparent;
    }
    .Disabled{
        cursor:default;
        opacity:0.5;
    }
    #AdvanceValue{
        width: 102px;
        display: inline-block;
    }
    .datepicker thead tr .dow {
        color:#4c0870!important;
    }
    .datepicker table tr td.day:hover {
        background: #4c0870!important;
        color:#fff;
    }
    .datepicker table tr td.active {
        background-color: #4c0870!important;
    }
    .datepicker thead tr .datepicker-switch {
        color: #4c0870 !important;
        font-size: 13px;
    }
    .datepicker table tr td span.active {
        background-color: #4c0870!important;
    }
    .datepicker table tr td span:hover {
        background-color: #4c0870!important;
        color:#fff;
    }
    datepicker thead tr .next:before, .datepicker thead tr .prev:before {
        color: #4c0870!important;
        font-family: 'FontAwesome';
        font-size: 10px;
    }
    .datepicker thead tr .next:before, .datepicker thead tr .prev:before {
        color: #4c0870!important;
        font-family: 'FontAwesome';
        font-size: 10px;
    }
    .input-group-addon 
    {
        background-color:#4c0870 !important;
        color:#fff;
    }
</style>
<?php echo Forms::ModalLoader('LoanDisabler') ?>
<form method="POST" action="" onsubmit="return false" id="LoanForm">
    <div class="container-fluid container-fixed-lg">
        <div class="panel panel-default">
            <div class="panel-body">
                <div id="LoanSuccess" class="hidden"></div>
                <div class="invoice padding-50 sm-padding-10">
                    <div class="container-sm-height">
                        <div class="row-sm-height">
                            <div class="col-md-9 col-sm-height sm-no-padding">
                                <h2 class="font-montserrat all-caps hint-text"><?php print CommonLanguage::getMessage($IsEdit ? 'edit_loan' : 'add_loan'); ?></h2>
                                <br>
                            </div>
                            <div class="col-md-4 col-sm-height col-bottom sm-no-padding sm-p-b-20" style="vertical-align: top;">
                                <div  class="form-group form-group-default input-group">
                                    <label><?php print CommonLanguage::getMessage('Date'); ?></label>
                                    <input id="Loan_Date" name="Loan_Date" class="form-control" value="<?php echo ($today); ?>" />
                                    <span class="input-group-addon "><i class="fa fa-calendar"></i></span>
                                </div>
                                <!--                                <div  class="form-group form-group-default input-group">
                                                                    <label>< ?php print CommonLanguage::getMessage('end_date'); ?><span class="red-star">*</span></label>
                                                                    <input id="Loan_Due_Date" name="Loan_Due_Date" class="form-control ignore" value=""  required/>
                                                                    <span class="input-group-addon "><i class="fa fa-calendar"></i></span>
                                                                </div>-->
                                <div class="input-group-btn DropDownForForms Closable" id="CurrencyDropDown">
                                    <button type="button" class="btn btn-success btn-block dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                        <span><strong><?php print CommonLanguage::getMessage($IsEdit ? $data['Currency_Name'] . ' - ' . $data['Currency_Code'] : 'Select_Currency'); ?></strong></span>
                                        <input type="hidden" id="Payment_Currency_ID" value="<?php echo $IsEdit ? $data['Currency_ID'] : $DefaultCurrencyID; ?>" class="form-control ignore" onkeyup="return false" onkeydown="return false" required/>
                                    </button>
                                    <ul class="dropdown-menu">
                                        <?php echo($currency->GetLIListCurrency()); ?>
                                        <li class="divider"></li>
                                        <li><a class="LoadMore"><?php print CommonLanguage::getMessage('More'); ?>..</a></li>
                                    </ul>
                                </div>
                                <br>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="table-responsive">
                        <table class="table m-t-50" id='LoanTable'>
                            <thead>
                                <tr>
                                    <th class="text-center"><?php print CommonLanguage::getMessage('employee_name'); ?><span class="red-star">*</span></th>
                                    <th class="text-center"><?php print CommonLanguage::getMessage('description'); ?><span class="red-star">*</span></th>
                                    <th class="text-center"><?php print CommonLanguage::getMessage('amount'); ?><span class="red-star">*</span></th>
                                    <th class="text-center"><?php print CommonLanguage::getMessage('repayment_start_date'); ?><span class="red-star">*</span></th>
                                    <th class="text-center"><?php print CommonLanguage::getMessage('repayment_amount'); ?><span class="red-star">*</span></th>
                                    <th class="text-center"><?php print CommonLanguage::getMessage('payment_type'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td><input type="text" class="form-control AutoComplete Employee_Name" id="Employee_ID" data-id="<?php echo $IsEdit ? $data['Employee_ID'] : '' ?>" data-loan="<?php echo $IsEdit ? $data['Loan_ID'] : '' ?>" value="<?php echo $IsEdit ? $data['Employee_Name'] : "" ?>"></td>
                                    <td><input type="text" class="form-control" id= "Loan_Description" value="<?php echo $IsEdit ? $data['Loan_Description'] : '' ?>"></td>
                                    <td><input type="number" class="form-control Quantity isnumber" min="<?php echo $IsEdit ? ($data['Payment_Amount'] != 0 ? $data['Payment_Amount'] : 0) : 0 ?>"    id="Loan_Amount" value="<?php echo $IsEdit ? $data['Loan_Amount'] : '' ?>"></td>
                                    <td>
                                        <input id="Loan_Repayment_Start" name="Loan_Repayment_Amount" <?php echo $IsEdit ? ($data['Payment_Amount'] != 0 ? 'disabled' : '') : '' ?> class="form-control" value="<?php echo $IsEdit ? $data['Loan_Repayment_Start'] : ($today); ?>" />
                                    </td>
                                    <td><input type="number" class="form-control Quantity isnumber" id="Loan_Repayment_Amount" value="<?php echo $IsEdit ? $data['Loan_Repayment_Amount'] : '' ?>"></td>
                                    <td>
                                        <div class="form-group BootstrapDropDown">
                                            <select id="paymentType" class="full-width PaymentType" data-init-plugin="select2">
                                                <?php foreach ($payment_type as $type): ?>
                                                    <option data-code="<?php echo $type['Account_ID'] ?>" value="<?php echo $type['Account_ID']; ?>" <?php echo $IsEdit ? ($data['Payment_ID'] == $type['Account_ID'] ? 'selected' : '') : '' ?>   ><?php echo $type['Account_Code'] . ' - ' . $type['Account_Name']; ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <br>
                    <div class="container-sm-height" >
                        <button class=" btn btn-success btn-cons m-b-10 pull-right" id="LoanSubmitButton" style="padding-top: 10px;top: 20px;min-width:253px;" type="button"><i class="pg-form"></i> <span class="bold"><?php print CommonLanguage::getMessage('Save'); ?></span></button>
                    </div>
                    <hr>
                </div>
            </div>
        </div>
    </div>
</form>
<script>
    var Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>,
            Required_Fields = <?php echo json_encode(CommonLanguage::getMessage('Required_Fields')); ?>,
            Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>,
            IsEdit = <?php echo json_encode($IsEdit); ?>,
            is_actual = <?php echo json_encode($is_actual); ?>;
    var current_Employee, current_Name;
    $(function () {

        EnableAutoComplete($("#LoanTable .AutoComplete.Employee_Name"));
        $("#Loan_Date,#Loan_Repayment_Start").datepicker({autoclose: true})


        $("#CurrencyDropDown li").click(function () {
            $(".CurrencyIndicator").html($(this).attr("MySymbol"))
            // setTimeout("UpdateSubmitButtonStatus()",100)
        })
        var Def = $("#CurrencyDropDown li").filter(function () {
            return $(this).attr("value") == $("#CurrencyDropDown input").val()
        })
        if (Def.length > 0) {
            $(".CurrencyIndicator").html(Def.attr("MySymbol"))
            $("> button > span", $("#CurrencyDropDown")).html(Def.text())
        }
        $("#LoanForm").validate({
            ignore: ".ignore",
            rules: {
                Loan_Date: {required: true, date: true}
            }
        })
        $("#LoanSubmitButton").on("click", ApplyPostMethod);

    })

    function EnableAutoComplete(who) {
        if (!who.hasClass("AutoAdded")) {
            who.autocomplete({
                source: is_actual ? 'xhr/ajaxEmployee?hidden=true' : 'xhr/ajaxEmployee',
                minLength: 0,
                select: function (event, ui) {
                    var TR = $(this).parents("tr");
                    TR.find("input.Employee_Name").val(ui.item.Employee_Name)
                    current_Employee = ui.item.Employee_ID;
                    current_Name = ui.item.Employee_Name;
                    Currency_ID = ui.item.Currency_ID;
                    Paygrade_Value = ui.item.Paygrade_Value;
                    return false;
                }
            }).focus(function () {
                $(this).autocomplete("search", $(this).val());
            }).autocomplete("instance")._resizeMenu = function (ul, items) {
                this.menu.element.outerWidth((who.width()) + parseFloat(who.css("padding-left")) + parseFloat(who.css("padding-right")) + 2);
            }
            who.autocomplete("instance")._renderItem = function (ul, item) {
                var MyType = item.Employee_Name;
                return $("<li>").html("<table cellspacing='0' cellpadding='0'><tr><td class='OnlyText'>" + MyType + "</td></tr></table>").appendTo(ul)
            }
            who.addClass("AutoAdded")
        }

    }
    function ApplyPostMethod() {

        if ($("#Loan_Amount").val() == '' || $("#Loan_Repayment_Start").val() == '' || $("#Loan_Repayment_Amount").val() == '' || $("#Employee_ID").val() == '' || $("#Loan_Description").val() == '') {
            $("#LoanSuccess").attr("class", "alert alert-danger").html(Required_Fields)
            $(document.body).animate({scrollTop: 0}, 800)
            return;
        }
        Data = {
            Employee_ID: current_Employee ? current_Employee : $('#Employee_ID').attr('data-id'),
            Employee_Name: current_Name ? current_Name : $('#Employee_ID').val(),
            Loan_Date: $("#Loan_Date").val(),
//            Loan_Repayment_End: $("#Loan_Due_Date").val(),
            Currency_ID: $("#CurrencyDropDown input").val(),
            Loan_Amount: $("#Loan_Amount").val(),
            Loan_Description: $("#Loan_Description").val(),
            Loan_Repayment_Amount: $("#Loan_Repayment_Amount").val(),
            Loan_Repayment_Start: $("#Loan_Repayment_Start").val(),
            Payment_ID: $("#paymentType").val(),
            Payment_Account_Code: $("#paymentType").find("option:selected").attr('data-code'),
            is_actual : is_actual

        };
        if (IsEdit) {
            Data.Loan_ID = $('#Employee_ID').attr('data-loan')
        }
        $("#LoanDisabler").removeClass('hidden');
        $.ajax({
            url: "HRMAjax/addLoanRequest",
            method: "POST",
            data: Data,
            complete: function (v1, v2) {
                if (v2 == "success") {
                    if (v1.responseText === 'OK') {
                        $("#LoanSuccess").attr("class", "alert alert-success").html(Submitted_Successfully)
                    } else {
                        $("#LoanSuccess").attr("class", "alert alert-danger").html(v1.responseText)

                    }
                } else {
                    $("#LoanSuccess").attr("class", "alert alert-danger").html(Failed_Submit)
                }
                $(document.body).animate({scrollTop: 0}, 800)
                $("#LoanDisabler").addClass('hidden');
            }
        })

    }
</script>