<?php
class ACCModel extends mainModel {

    public function __construct() {
        $registry = Registry::getInstance();
        $registry->Organization     = new Organization;
        $registry->payment          = new Payment;
        $registry->currency         = new Currency;
        $registry->contra           = new Contra;
        $registry->expense          = new Expense;
        $registry->sales            = new Invoice;
        $registry->dashboard        = new AccountingDashboard;
        $registry->Count            = new Count;
        $registry->debitnote        = new DebitNote;
        $registry->countries        = new Countries;
        $registry->report           = new Report;
        $registry->jv               = new JV;
        $registry->bank             = new BankAccount;
        $registry->permissions      = new Permissions(Session::getUserID());
        $registry->currencyfactory  = new CurrencyFactory;
        $registry->vendor           = new Supplier;
        $registry->customer           = new Customer;
        $registry->vat              = new VAT;
        $registry->Invoice          = new Invoice;
        $registry->user             = new User;
        $registry->purchase         = new Purchase;
        $registry->CommonACC         = new CommonACC;
        $registry->common_scripts         = new common_scripts();
        $registry->project         = new Project();


    }
    public static function getmsg($msg){
        //            session_start();
        //            $lang = new CommonLanguage();
        return CommonLanguage::getMessage($msg);


    }
} 