<?php
	/**
	* This class is responsible for loading an existing database adapter (ie: MySQL, MySQLi, etc).
	*
	* @copyright Trusto Tech 2015-2016
	* @author  Taha Sayyad <info@trustotech.com>
	* @package System\Database\Drivers
	*/
	class DBDriver {

		/**
		* Load a given database adapter.
		*
		* @author  Taha Sayyad <info@trustotech.com>
		* @param DBAdapterInterface $driver Adapter object (ie: new MySQLiAdapter)
		* @return obj Adapter object
		*/
		public static function load(DBAdapterInterface $driver) {
			return new $driver;
		}

	}