<?php
//if ($permissions->hasPermission('createRoleModal')) {
//    include('Views/HRM/createRoleModal.php');
//}
//if ($permissions->hasPermission('rolePermissionModal')) {
//    include('Views/HRM/rolePermissionModal.php');
//}
//if ($permissions->hasPermission('viewRolesModal')) {
include('Views/HRM/AddEvaluationQuestion.php');
//}
if ($permissions->hasPermission('addEmployeeDependent')) {
    include('Views/HRM/addEmployeeDependent.php');
}
if ($permissions->hasPermission('addworkingday')) {
    include('Views/HRM/addWorkingDay.php');
}
if ($permissions->hasPermission('viewWorkingDays')) {
    include('Views/HRM/viewWorkingDays.php');
}
?>
<div id="MainMenuPanelsContainer" class="HRM">
    <div class="col-md-12">
        <?php if ($permissions->hasPermission('WorkingHoursandHolidays')) { ?>
            <div class="col-md-3">
                <div href='#a1-a01' data-toggle='collapse' data-parent='.accordion-1' class="panel-heading clearfix bg-success" style='color:#ffffff!important;border-radius: 30px;background-color: #e19421 !important;'>
                    <h4 class="panel-title"><i class="fa fa-flickr"></i> <?php print CommonLanguage::getMessage('working_hrs_holidays'); ?></h4>
                </div>
                <div id='a1-a01' class='panel-collapse collapse' class="panel panel-white" style='background-color: #4c0870 !important;border-radius: 20px;'>

                    <div class="panel-body" style="color:#ffffff!important;">
                        <?php if ($permissions->hasPermission('addworkingday')) { ?>
                            <div class="MainPanelItem"><a href="#" class="mainPageLinks" data-toggle="modal" data-target="#add-working-day"><i class="fa fa-plus-circle"></i> <?php print CommonLanguage::getMessage('add_working_days'); ?> </a></div>
                        <?php }
                        if ($permissions->hasPermission('addshift')) { ?>
                            <div class="MainPanelItem"><a href="HRM/addShift" class="mainPageLinks" id="add_new_shift"><i class="fa fa-plus-circle"></i> <?php print CommonLanguage::getMessage('add_shift'); ?> </a></div>
                        <?php }
                        if ($permissions->hasPermission('viewShifts')) { ?>
                            <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewShifts" class="mainPageLinks"><i class="fa fa-eye"></i> <?php print CommonLanguage::getMessage('view_shifts'); ?></a></div>
                        <?php }
                        if ($permissions->hasPermission('viewHolidays')) { ?>
                            <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/Holidays" class="mainPageLinks"><i class="fa fa-eye"></i> <?php print CommonLanguage::getMessage('view_holidays'); ?></a></div>
                        <?php }
                        if ($permissions->hasPermission('employeeAttendance')) { ?>
                            <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/employeeAttendance" class="mainPageLinks"><i class="fa fa-eye"></i> <?php print CommonLanguage::getMessage('import_attendance_excel'); ?></a></div>
                        <?php }
                        if ($permissions->hasPermission('addEmployeeAttendanceManual')) { ?>
                            <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addEmployeeAttendanceManual" class="mainPageLinks"><i class="fa fa-eye"></i> <?php print CommonLanguage::getMessage('add_emp_att_manual'); ?></a></div>
                        <?php }
                        if ($permissions->hasPermission('addActualEmployeeAttendanceManual')) { ?>
                            <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addEmployeeAttendanceManual/act" class="mainPageLinks"><i class="fa fa-eye"></i> <?php print CommonLanguage::getMessage('add_actual_emp_att_manual'); ?></a></div>
                        <?php }
                        if ($permissions->hasPermission('attendance_report')) { ?>
                            <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/attendanceReport" class="mainPageLinks"><i class="fa fa-eye"></i> <?php print CommonLanguage::getMessage('attendance_report'); ?></a></div>
                        <?php }
                        if ($permissions->hasPermission('actual_attendance_report')) { ?>
                            <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/attendanceReport/act" class="mainPageLinks"><i class="fa fa-eye"></i> <?php print CommonLanguage::getMessage('actual_attendance_report'); ?></a></div>
                            <?php
                        }
                        if ($permissions->hasPermission('HRAnnouncement')) {
                            if ($permissions->hasPermission('NewAnnouncement')) {
                            ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/NewAnnouncement" class="mainPageLinks"><i class="fa fa-sticky-note"></i> <?php print CommonLanguage::getMessage('add_announcement'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('ViewAnnouncment')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/ViewAnnouncment" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('view_announcement'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('view_ntf')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/view_ntf" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('view_ntf'); ?></a></div>
                        <?php
                            }
                        }
                        ?>
                    <?php }
                if ($permissions->hasPermission('salary_unit_formulas')) { ?>
                        <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/salary_unit_formulas" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('salary_unit_formulas'); ?> </a></div>
                    <?php }
                if ($permissions->hasPermission('salary_periods')) { ?>
                        <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/basic_salary_periods" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('salary_periods'); ?> </a></div>
                    <?php }
                if ($permissions->hasPermission('attendance_setting')) { ?>
                        <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/attendance_setting" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('attendance_setting'); ?> </a></div>
                    <?php }
                if ($permissions->hasPermission('employee_location')) { ?>
                        <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/emp_locations" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('employee_location'); ?> </a></div>
                    <?php }
                if ($permissions->hasPermission('employee_banks')) { ?>
                        <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/employee_banks" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('employee_banks'); ?> </a></div>
                    <?php }
                if ($permissions->hasPermission('att_template')) { ?>
                        <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/employee_att_template" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('att_template'); ?> </a></div>
                    <?php }
                if ($permissions->hasPermission('non_att_emp_dates')) { ?>
                        <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/non_att_emp_dates" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('non_att_emp_dates'); ?> </a></div>
                    <?php }
                if ($permissions->hasPermission('emp_opening_data')) { ?>
                        <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/emp_opening" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('emp_opening'); ?> </a></div>
                    <?php }
                if ($permissions->hasPermission('commission_setting')) { ?>
                        <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/commission_setting" class="mainPageLinks"><i class="fa fa-gear"></i> <?php print CommonLanguage::getMessage('commission_setting'); ?> </a></div>
                    <?php } ?>
                    </div>
                </div>
            </div>
            <?php if ($permissions->hasPermission('Jobs Settings')) { ?>
                <div class=" col-md-3 ">
                    <div href='#a1-a02' data-toggle='collapse' data-parent='.accordion-2' class="panel-heading clearfix bg-success" style='color:#ffffff!important;border-radius: 30px;background-color: #e19421 !important;'>
                        <h4 class="panel-title"><i class="fa fa-building"></i> <?php print CommonLanguage::getMessage('departments') . ' - ' . CommonLanguage::getMessage('jobs'); ?></h4>
                    </div>
                    <div id='a1-a02' class='panel-collapse collapse' class="panel panel-white" style='background-color: #4c0870 !important;border-radius: 20px;'>

                        <div class="panel-body" style="color:#ffffff!important;">
                            <!--                        < ?php if ($permissions->hasPermission('ViewDepartment')) { ?>
    <div class="MainPanelItem"><a href="< ?php echo SITE_LINK; ?>Admin/ViewDepartment" class="mainPageLinks" ><i class="fa fa-building"></i>  < ?php print CommonLanguage::getMessage('departments'); ?> </a></div>
                                     < ?php }if ($permissions->hasPermission('ViewBranch')) { ?>
                        <div class="MainPanelItem"><a href="< ?php echo SITE_LINK; ?>Admin/ViewBranch" class="mainPageLinks" ><i class="fa fa-building"></i>  < ?php print CommonLanguage::getMessage('branch'); ?> </a></div>
                        -->
                            <?php if ($permissions->hasPermission('ViewDepartment')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/ViewDepartmentDetails" class="mainPageLinks"><i class="fa fa-building"></i> <?php print CommonLanguage::getMessage('departments'); ?> </a></div>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/ViewDepartment" class="mainPageLinks"><i class="fa fa-building"></i> <?php print CommonLanguage::getMessage('view_department'); ?> </a></div>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/view_department_employee" class="mainPageLinks"><i class="fa fa-building"></i> <?php print CommonLanguage::getMessage('view_department_employee'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('addJob')) { ?>
                                <!--<div class="MainPanelItem"><a href="<?php // echo SITE_LINK;  
                                                                        ?>HRM/addJob" class="mainPageLinks"><i class="fa fa-plus-circle"></i> <?php print CommonLanguage::getMessage('add_job'); ?> </a></div>-->
                            <?php }
                            if ($permissions->hasPermission('viewJobs')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewJobs" class="mainPageLinks"><i class="fa fa-eye"></i> <?php print CommonLanguage::getMessage('view_job'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('ManagePaygrade')) { ?>
                                <!--<div class="MainPanelItem"><a href="<?php // echo SITE_LINK;  
                                                                        ?>HRM/ManagePaygrade" class="mainPageLinks"><i class="fa fa-wrench"></i> <?php print CommonLanguage::getMessage('manage_paygrade'); ?> </a></div>-->
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php }
            if ($permissions->hasPermission('Employees Settings')) { ?>
                <div class="col-md-3">
                    <div href='#a1-a03' data-toggle='collapse' data-parent='.accordion-3' class="panel-heading clearfix bg-success" style='color:#ffffff!important;border-radius: 30px;background-color: #e19421 !important;'>
                        <h4 class="panel-title"><i class="fa fa-users"></i> <?php print CommonLanguage::getMessage('employees'); ?> </h4>
                    </div>
                    <div id='a1-a03' class='panel-collapse collapse' class="panel panel-white" style='background-color: #4c0870 !important;border-radius: 20px;'>
                        <div class="panel-body" style="color:#ffffff!important;">
                            <?php if ($permissions->hasPermission('viewEmployees')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewEmployees" class="mainPageLinks" data-toggle="modal" data-target="" id=""><i class="fa fa-street-view"></i> <?php print CommonLanguage::getMessage('employees'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('viewEmployeesActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewEmployees/act" class="mainPageLinks" data-toggle="modal" data-target="" id=""><i class="fa fa-street-view"></i> <?php print CommonLanguage::getMessage('act_employees'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('addEmergencyContact')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addEmergencyContact" class="mainPageLinks" data-toggle="modal" data-target=""><i class="fa fa-medkit"></i> <?php print CommonLanguage::getMessage('emergency_contact'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('addEmergencyContactActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addEmergencyContact/act" class="mainPageLinks" data-toggle="modal" data-target=""><i class="fa fa-medkit"></i> <?php print CommonLanguage::getMessage('emergence_contact_act'); ?></a></div>
                                <?php // } if ($permissions->hasPermission('addEmployeeExpense')) { 
                                ?>
                            <?php }
                            if ($permissions->hasPermission('addEmployeeDependent')) { ?>
                                <div class="MainPanelItem"><a href="#" class="mainPageLinks" data-toggle="modal" data-target="#add_EmployeeDependent"><i class="fa fa-child"></i> <?php print CommonLanguage::getMessage('add_dependant_employee'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('viewEmployeeDependent')) { ?>
                                <div class="MainPanelItem"><a href="HRM/viewEmployeeDependent" class="mainPageLinks" data-toggle="modal"><i class="fa fa-child"></i> <?php print CommonLanguage::getMessage('employee_dependant'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('viewEmployeeChild')) { ?>
                                <div class="MainPanelItem"><a href="HRM/viewEmployeeChild" class="mainPageLinks" data-toggle="modal"><i class="fa fa-child"></i> <?php print CommonLanguage::getMessage('viewEmployeeChild'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('viewEmployeeChildActual')) { ?>
                                <div class="MainPanelItem"><a href="HRM/viewEmployeeChild/act" class="mainPageLinks" data-toggle="modal"><i class="fa fa-child"></i> <?php print CommonLanguage::getMessage('viewEmployeeChildActual'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('viewEmployeeAlert')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewEmployeeAlert" class="mainPageLinks"><i class="fa fa-exclamation-circle"></i>&nbsp;<?php print CommonLanguage::getMessage('viewEmployeeAlert'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('viewEmployeeAlertActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewEmployeeAlert/act" class="mainPageLinks"><i class="fa fa-exclamation-circle"></i>&nbsp;<?php print CommonLanguage::getMessage('viewEmployeeAlertActual'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('employee_due_payments')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/employee_due_payments" class="mainPageLinks"><i class="fa fa-list"></i>&nbsp;<?php print CommonLanguage::getMessage('employee_due_payments'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('AddEvaluationQuestion')) { ?>
                                <div class="MainPanelItem"><a href="#" class="mainPageLinks" data-toggle="modal" data-target="#add_Evaluation_Question"><i class="fa fa-plus-circle"></i> <?php print CommonLanguage::getMessage('add_ev_question'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('EvaluationPerformance')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/EvaluationPerformance" class="mainPageLinks"><i class="fa fa-dot-circle-o"></i> <?php print CommonLanguage::getMessage('ev_performance_emp'); ?> </a></div>
                            <?php } ?>
                            <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/EvaluationGraph" class="mainPageLinks"><i class="fa fa-line-chart"></i> <?php print CommonLanguage::getMessage('chart_ev_performance'); ?></a></div>

                        </div>
                    </div>
                </div>
            <?php }
            if ($permissions->hasPermission('PAYROLL')) { ?>
                <div class="col-md-3">
                    <div href='#a1-a04' data-toggle='collapse' data-parent='.accordion-4' class="panel-heading clearfix bg-success" style='color:#ffffff!important;border-radius: 30px;background-color: #e19421 !important;'>
                        <h4 class="panel-title"><i class="fa fa-paypal"></i> <?php print CommonLanguage::getMessage('payroll'); ?></h4>
                    </div>
                    <div id='a1-a04' class='panel-collapse collapse' class="panel panel-white" style='background-color: #4c0870 !important;border-radius: 20px;'>
                        <div class="panel-body" style="color:#ffffff!important;">
                            <?php if ($permissions->hasPermission('PayrollForEmployee')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/PayrollForEmployee" class="mainPageLinks" data-toggle="modal" data-target=""><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('payroll_for_emp'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('PayrollForEmployeeActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/PayrollForEmployee/act" class="mainPageLinks" data-toggle="modal" data-target=""><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('payroll_emp_act'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('TotalPayslip')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/TotalPayslip" class="mainPageLinks"><i class="fa fa-paypal"></i> <?php print CommonLanguage::getMessage('total_paid_payslip'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('employee_bank_info')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/employee_bank_info" class="mainPageLinks"><i class="fa fa-paypal"></i> <?php print CommonLanguage::getMessage('employee_bank_info'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('multi_payroll')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/multi_payroll" class="mainPageLinks"><i class="fa fa-paypal"></i> <?php print CommonLanguage::getMessage('multi_payroll'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('actual_multi_payroll')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/multi_payroll/act" class="mainPageLinks"><i class="fa fa-paypal"></i> <?php print CommonLanguage::getMessage('actual_multi_payroll'); ?> </a></div>
                            <?php }  ?>
                                
                        </div>
                    </div>
                </div>
            <?php }
            if ($permissions->hasPermission('FINANCE')) { ?>
                <div class="col-md-3">
                    <div href='#a1-a05' data-toggle='collapse' data-parent='.accordion-2' class="panel-heading clearfix bg-success" style='color:#ffffff!important;border-radius: 30px;background-color: #e19421 !important;'>
                        <h4 class="panel-title"><i class="fa fa-usd"></i> <?php print CommonLanguage::getMessage('finance'); ?></h4>
                    </div>
                    <div id='a1-a05' class='panel-collapse collapse' class="panel panel-white" style='background-color: #4c0870 !important;border-radius: 20px;'>

                        <div class="panel-body" style="color:#ffffff!important;">
                            <?php if ($permissions->hasPermission('viewemployeedeductionnote')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewemployeedeductionnote" class="mainPageLinks"><i class="fa fa-gbp"></i> <?php print CommonLanguage::getMessage('viewemployeedeductionnote'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('addDeduction')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addDeduction" class="mainPageLinks"><i class="fa fa-gbp"></i> <?php print CommonLanguage::getMessage('add_deduction'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('viewdeduction')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewdeduction" class="mainPageLinks"><i class="fa fa-gbp"></i> <?php print CommonLanguage::getMessage('viewdeduction'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('addbonus')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addDeduction/bonus" class="mainPageLinks"><i class="fa fa-eur"></i> <?php print CommonLanguage::getMessage('add_bonus'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('viewbonus')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewdeduction/bonus" class="mainPageLinks"><i class="fa fa-gbp"></i> <?php print CommonLanguage::getMessage('viewbonus'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('addLoan')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addLoan" class="mainPageLinks"><i class="fa fa-usd"></i> <?php print CommonLanguage::getMessage('add_loan'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('view_loan')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewLoans" class="mainPageLinks"><i class="fa fa-usd"></i> <?php print CommonLanguage::getMessage('view_loan'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('addAdvancePayment')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addAdvancePayment" class="mainPageLinks"><i class="fa fa-ils"></i> <?php print CommonLanguage::getMessage('add_advance_payment'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('view_advance_payment')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewAdvancePayment" class="mainPageLinks"><i class="fa fa-gbp"></i> <?php print CommonLanguage::getMessage('view_advance_payment'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('multi_advance_payment')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/multi_advance_payment" class="mainPageLinks"><i class="fa fa-gbp"></i> <?php print CommonLanguage::getMessage('multi_advance_payment'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('addOvertime')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addOvertime" class="mainPageLinks"><i class="fa fa-jpy"></i> <?php print CommonLanguage::getMessage('add_overtime'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('dailyOvertime')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/dailyOvertime" class="mainPageLinks"><i class="fa fa-stack-overflow"></i> <?php print CommonLanguage::getMessage('daily_overtime'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('addDeduction')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addOvertime/ded" class="mainPageLinks"><i class="fa fa-jpy"></i> <?php print CommonLanguage::getMessage('add_deduction_hrs'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('viewdeduction')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/dailyOvertime/ded" class="mainPageLinks"><i class="fa fa-stack-overflow"></i> <?php print CommonLanguage::getMessage('viewdeduction_hrs'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('employee_advance_payment')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/employee_advance_payment" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('employee_advance_payment'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('hrm_sales_commission')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/sales_commission" class="mainPageLinks"><i class="fa fa-dollar"></i> <?php print CommonLanguage::getMessage('salesman_commission'); ?> </a></div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php }
            if ($permissions->hasPermission('FinanceActual')) { ?>
                <div class="col-md-3">
                    <div href='#a1-a06' data-toggle='collapse' data-parent='.accordion-6' class="panel-heading clearfix bg-success" style='color:#ffffff!important;border-radius: 30px;background-color: #e19421 !important;'>
                        <h4 class="panel-title"><i class="fa fa-usd"></i> <?php print CommonLanguage::getMessage('act_finance'); ?></h4>
                    </div>
                    <div id='a1-a06' class='panel-collapse collapse' class="panel panel-white" style='background-color: #4c0870 !important;border-radius: 20px;'>

                        <div class="panel-body" style="color:#ffffff!important;">
                            <?php if ($permissions->hasPermission('viewactemployeedeductionnote')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewemployeedeductionnote/act" class="mainPageLinks"><i class="fa fa-gbp"></i> <?php print CommonLanguage::getMessage('actviewemployeedeductionnote'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('addDeductionActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addDeduction/act" class="mainPageLinks"><i class="fa fa-gbp"></i> <?php print CommonLanguage::getMessage('add_deduction_act'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('viewdeduction')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewdeduction/act" class="mainPageLinks"><i class="fa fa-gbp"></i> <?php print CommonLanguage::getMessage('view_act_deduction'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('addBonusActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addDeduction/act/bonus" class="mainPageLinks"><i class="fa fa-eur"></i> <?php print CommonLanguage::getMessage('add_bonus_act'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('view_actual_bonus')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewdeduction/act/bonus" class="mainPageLinks"><i class="fa fa-gbp"></i> <?php print CommonLanguage::getMessage('view_act_bonus'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('addLoanActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addLoan/act" class="mainPageLinks"><i class="fa fa-usd"></i> <?php print CommonLanguage::getMessage('add_loan_act'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('view_actual_loan')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewLoans/act" class="mainPageLinks"><i class="fa fa-usd"></i> <?php print CommonLanguage::getMessage('view_act_loan'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('addAdvancePaymentActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addAdvancePayment/act" class="mainPageLinks"><i class="fa fa-ils"></i> <?php print CommonLanguage::getMessage('add_advance_pay_act'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('multi_advance_payment_act')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/multi_advance_payment/act" class="mainPageLinks"><i class="fa fa-ils"></i> <?php print CommonLanguage::getMessage('multi_advance_payment_act'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('view_act_advance_payment')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewAdvancePayment/act" class="mainPageLinks"><i class="fa fa-gbp"></i> <?php print CommonLanguage::getMessage('view_act_advance_payment'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('addOverTimeActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/addOvertime/act" class="mainPageLinks"><i class="fa fa-jpy"></i> <?php print CommonLanguage::getMessage('add_overtime_act'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('dailyOvertimeActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/dailyOvertime/act" class="mainPageLinks"><i class="fa fa-stack-overflow"></i> <?php print CommonLanguage::getMessage('daily_overtime_act'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('employee_advance_payment_act')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/employee_advance_payment/act" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('employee_advance_payment_act'); ?> </a></div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php } ?>
            <!--
< ?php if ($permissions->hasPermission('Access Level')) { ?>
<div class="col-md-3">
<div class="panel panel-white">
<div class="panel-heading clearfix bg-success">
<h4 class="panel-title"><i class="fa fa-key"></i> < ?php print CommonLanguage::getMessage('access_level'); ?></h4>
</div>
<div class="panel-body">
< ?php if ($permissions->hasPermission('viewUsers')) { ?>
<div class="MainPanelItem"><a href="< ?php echo SITE_LINK; ?>HRM/viewUsers" class="mainPageLinks" data-toggle="modal" data-target="" ><i class="fa fa-list"></i> < ?php print CommonLanguage::getMessage('view_users'); ?> </a></div>
< ?php } if ($permissions->hasPermission('viewUsersActual')) { ?>
<div class="MainPanelItem"><a href="< ?php echo SITE_LINK; ?>HRM/viewUsers/act" class="mainPageLinks" data-toggle="modal" data-target="" ><i class="fa fa-list"></i> < ?php print CommonLanguage::getMessage('view_users_act'); ?> </a></div>
< ?php } if ($permissions->hasPermission('viewUserGroup')) { ?>
<div class="MainPanelItem"><a href="< ?php echo SITE_LINK; ?>HRM/viewUserGroup" class="mainPageLinks"><i class="fa fa-list"></i> < ?php print CommonLanguage::getMessage('viewUserGroup'); ?> </a></div>
< ?php } if ($permissions->hasPermission('createRoleModal')) { ?>
<div class="MainPanelItem"><a href="#" class="mainPageLinks" data-toggle="modal" data-target="#create-role-modal" ><i class="fa fa-plus-circle"></i> < ?php print CommonLanguage::getMessage('access_level'); ?> </a></div>
< ?php } if ($permissions->hasPermission('viewRolesModal')) { ?>
<div class="MainPanelItem"><a href="< ?php echo SITE_LINK; ?>HRM/viewRolesModal" class="mainPageLinks" data-toggle="modal" data-target="#view-roles-modal"  ><i class="fa fa-eye"></i> < ?php print CommonLanguage::getMessage('view_access_level'); ?> </a></div>
< ?php } if ($permissions->hasPermission('rolePermissionModal')) { ?>
<div class="MainPanelItem"><a href="#" class="mainPageLinks" data-toggle="modal" data-target="#roles-permission" ><i class="fa fa-plus-circle"></i> < ?php print CommonLanguage::getMessage('assign_permissions'); ?> </a></div>
< ?php } if ($permissions->hasPermission('viewRolesPermissionModal')) { ?>
<div class="MainPanelItem"><a href="< ?php echo SITE_LINK; ?>HRM/viewRolesPermissionModal" class="mainPageLinks"  ><i class="fa fa-eye"></i> < ?php print CommonLanguage::getMessage('view_roles_permissions'); ?> </a></div>
< ?php } ?>
</div>
</div>
</div>
< ?php }?>
        -->
            <?php if ($permissions->hasPermission('LeaveManagement')) { ?>
                <div class="col-md-3">
                    <div href='#a1-a07' data-toggle='collapse' data-parent='.accordion-7' class="panel-heading clearfix bg-success" style='color:#ffffff!important;border-radius: 30px;background-color: #e19421 !important;'>
                        <h4 class="panel-title"><i class="fa fa-calendar"></i> <?php print CommonLanguage::getMessage('leave_management'); ?> </h4>
                    </div>
                    <div id='a1-a07' class='panel-collapse collapse' class="panel panel-white" style='background-color: #4c0870 !important;border-radius: 20px;'>

                        <div class="panel-body" style="color:#ffffff!important;">
                            <?php if ($permissions->hasPermission('AbsenceSetting')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/AbsenceSetting" class="mainPageLinks"><i class="fa fa-sign-out"></i> <?php print CommonLanguage::getMessage('absence_setting'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('addAbsence')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/AbsenceList" class="mainPageLinks"><i class="fa fa-plus-circle"></i> <?php print CommonLanguage::getMessage('add_emp_absence'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('addAbsenceActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/AbsenceList/act" class="mainPageLinks"><i class="fa fa-plus-circle"></i> <?php print CommonLanguage::getMessage('add_emp_absence_act'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('AssignLeave')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/AccruedList" class="mainPageLinks"><i class="fa fa-plus-circle"></i> <?php print CommonLanguage::getMessage('assign_accrued_leave'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('AssignLeaveActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/AccruedList/act" class="mainPageLinks"><i class="fa fa-plus-circle"></i> <?php print CommonLanguage::getMessage('assign_accrued_leave_act'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('employee_holiday')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/AccruedList/hol" class="mainPageLinks"><i class="fa fa-plus-circle"></i> <?php print CommonLanguage::getMessage('emp_holiday'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('employee_holiday_act')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/AccruedList/hol/act" class="mainPageLinks"><i class="fa fa-plus-circle"></i> <?php print CommonLanguage::getMessage('emp_holiday_act'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('LeaveCalendar')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/calendar" class="mainPageLinks"><i class="fa fa-calendar"></i>
                                        <?php print CommonLanguage::getMessage('leave_calendar'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('LeaveCalendarActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/calendar/act" class="mainPageLinks"><i class="fa fa-calendar"></i>
                                        <?php print CommonLanguage::getMessage('leave_calendar_act'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('paid_accrued_leave_list')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/paid_accrued_leave_list" class="mainPageLinks"><i class="fa fa-money"></i> <?php print CommonLanguage::getMessage('paid_accrued_leave_list'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('act_paid_accrued_leave_list')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/paid_accrued_leave_list/act" class="mainPageLinks"><i class="fa fa-money"></i> <?php print CommonLanguage::getMessage('act_paid_accrued_leave_list'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('paidAccruedLeave')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/paidAccruedLeave" class="mainPageLinks"><i class="fa fa-money"></i> <?php print CommonLanguage::getMessage('paid_accrued_leave'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('paidAccruedLeaveActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/paidAccruedLeave/act" class="mainPageLinks"><i class="fa fa-money"></i> <?php print CommonLanguage::getMessage('paid_accrued_leave_act'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('viewEmpTransferDay')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewEmpTransferDay" class="mainPageLinks"><i class="fa fa-money"></i> <?php print CommonLanguage::getMessage('viewEmpTransferDay'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('viewEmpTransferDayActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewEmpTransferDay/act" class="mainPageLinks"><i class="fa fa-money"></i> <?php print CommonLanguage::getMessage('viewEmpTransferDayAct'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('manage_emp_leaves')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/manage_emp_leaves" class="mainPageLinks"><i class="fa fa-money"></i> <?php print CommonLanguage::getMessage('manage_emp_leaves'); ?> </a></div>
                            <?php }
                            if ($permissions->hasPermission('emp_absence_setting')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/emp_absence_setting" class="mainPageLinks"><i class="fa fa-money"></i> <?php print CommonLanguage::getMessage('emp_absence_setting'); ?> </a></div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php }
            if ($permissions->hasPermission('medical')) { ?>
                <div class="col-md-3">
                    <div href='#a1-a08' data-toggle='collapse' data-parent='.accordion-8' class="panel-heading clearfix bg-success" style='color:#ffffff!important;border-radius: 30px;background-color: #e19421 !important;'>
                        <h4 class="panel-title"><i class="fa fa-medkit"></i> <?php print CommonLanguage::getMessage('medical'); ?> </h4>
                    </div>
                    <div id='a1-a08' class='panel-collapse collapse' class="panel panel-white" style='background-color: #4c0870 !important;border-radius: 20px;'>



                        <div class="panel-body" style="color:#ffffff!important;">
                            <?php if ($permissions->hasPermission('MedicalSetting')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/MedicalSetting" class="mainPageLinks"><i class="fa fa-sign-out"></i> <?php print CommonLanguage::getMessage('medical_setting'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('MedicalLocation')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/MedicalLocation" class="mainPageLinks"><i class="fa fa-sign-out"></i> <?php print CommonLanguage::getMessage('medical_location'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('viewMedicalLocation')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewMedicalLocation" class="mainPageLinks"><i class="fa fa-sign-out"></i> <?php print CommonLanguage::getMessage('view_medical_location'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('medicalEmployee')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/medicalEmployee" class="mainPageLinks"><i class="fa fa-sign-out"></i> <?php print CommonLanguage::getMessage('medical_employee'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('medicalEmployeeActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/medicalEmployee/act" class="mainPageLinks"><i class="fa fa-sign-out"></i> <?php print CommonLanguage::getMessage('medical_employee_act'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('viewMedicalEmployee')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewMedicalEmployee" class="mainPageLinks"><i class="fa fa-sign-out"></i> <?php print CommonLanguage::getMessage('view_medical_employee'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('viewMedicalEmployeeActual')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/viewMedicalEmployee/act" class="mainPageLinks"><i class="fa fa-sign-out"></i> <?php print CommonLanguage::getMessage('view_medical_employee_act'); ?></a></div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php }
            if ($permissions->hasPermission('volunteer')) { ?>
                <div class="col-md-3">
                    <div href='#a1-a09' data-toggle='collapse' data-parent='.accordion-9' class="panel-heading clearfix bg-success" style='color:#ffffff!important;border-radius: 30px;background-color: #e19421 !important;'>
                        <h4 class="panel-title"><i class="fa fa-user"></i> <?php print CommonLanguage::getMessage('volunteers'); ?> </h4>
                    </div>
                    <div id='a1-a09' class='panel-collapse collapse' class="panel panel-white" style='background-color: #4c0870 !important;border-radius: 20px;'>

                        <div class="panel-body" style="color:#ffffff!important;">
                            <?php if ($permissions->hasPermission('volunteer_team')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/VolunteerTeam" class="mainPageLinks"><i class="fa fa-users"></i> <?php print CommonLanguage::getMessage('volunteer_team'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('volunteer_skills')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/Volunteerskills" class="mainPageLinks"><i class="fa fa-wrench"></i> <?php print CommonLanguage::getMessage('volunteer_skills'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('volunteer_notice')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/Volunteernotice" class="mainPageLinks"><i class="fa fa-info-circle"></i> <?php print CommonLanguage::getMessage('volunteer_notice'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('volunteer_list')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/VolunteerList" class="mainPageLinks"><i class="fa fa-user-plus"></i> <?php print CommonLanguage::getMessage('volunteer_list'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('pro_list')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/proList" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('pro_list'); ?></a></div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php }
            if ($permissions->hasPermission('piece_managment')) { ?>
                <div class="col-md-3">
                    <div href='#a1-a10' data-toggle='collapse' data-parent='.accordion-10' class="panel-heading clearfix bg-success" style='color:#ffffff!important;border-radius: 30px;background-color: #e19421 !important;'>
                        <h4 class="panel-title"><i class="fa fa-user"></i> <?php print CommonLanguage::getMessage('piece_managment'); ?> </h4>
                    </div>
                    <div id='a1-a10' class='panel-collapse collapse' class="panel panel-white" style='background-color: #4c0870 !important;border-radius: 20px;'>

                        <div class="panel-body" style="color:#ffffff!important;">
                            <?php if ($permissions->hasPermission('piece_service')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/piece_service" class="mainPageLinks"><i class="fa fa-plus"></i> <?php print CommonLanguage::getMessage('piece_service'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('piece_price')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/piece_price" class="mainPageLinks"><i class="fa fa-plus"></i> <?php print CommonLanguage::getMessage('piece_price'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('piece_price_list')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/piece_price_list" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('piece_price_list'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('piece_payment_report')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/piece_payment_report" class="mainPageLinks"><i class="fa fa-list"></i> <?php print CommonLanguage::getMessage('piece_payment_report'); ?></a></div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php }
            if ($permissions->hasPermission('hr_reports')) { ?>
                <div class="col-md-3">
                    <div href='#a1-a11' data-toggle='collapse' data-parent='.accordion-11' class="panel-heading clearfix bg-success" style='color:#ffffff!important;border-radius: 30px;background-color: #e19421 !important;'>
                        <h4 class="panel-title"><i class="fa fa-user"></i> <?php print CommonLanguage::getMessage('reports'); ?> </h4>
                    </div>
                    <div id='a1-a11' class='panel-collapse collapse' class="panel panel-white" style='background-color: #4c0870 !important;border-radius: 20px;'>



                        <div class="panel-body" style="color:#ffffff!important;">
                            <?php if ($permissions->hasPermission('att_location_report')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/att_location_report" class="mainPageLinks"><i class="fa fa-plus"></i> <?php print CommonLanguage::getMessage('att_location_report'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('att_location_details')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/att_location_details" class="mainPageLinks"><i class="fa fa-plus"></i> <?php print CommonLanguage::getMessage('att_location_details'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('interior_ministry_report')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/interior_ministry_report" class="mainPageLinks"><i class="fa fa-plus"></i> <?php print CommonLanguage::getMessage('interior_ministry_report'); ?></a></div>
                            <?php }
                            if ($permissions->hasPermission('employee_leave_absence_report')) { ?>
                                <div class="MainPanelItem"><a href="<?php echo SITE_LINK; ?>HRM/employee_leave_absence_report" class="mainPageLinks"><i class="fa fa-plus"></i> <?php print CommonLanguage::getMessage('employee_leave_absence_report'); ?></a></div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php } ?>
    </div>
</div> 