<style>
    .table thead tr >th{
        background-color:#4c0870;
        color:#fff;
    }
    .table thead tr th[class*='sorting_'] {
        color: #fff;
    }
    .bg-master-lighter {
        border:none;
        background-color:#fff;
        border-top:1px solid #ddd;  
    }
</style>
<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
            <div class="panel-title"><?php print CommonLanguage::getMessage('emergency_contact'); ?></div>
            <div class="clearfix"></div>
        </div>
        <div class="panel-body">
            <table class="table table-bordered table-hover demo-table-search" id="tableWithSearch">
                <thead>
                    <tr>
                        <!--<th class="text-center" ><?php print CommonLanguage::getMessage('Name'); ?></th>-->
                        <th class="text-center" ><?php print CommonLanguage::getMessage('relationship'); ?></th>
                        <th class="text-center" ><?php print CommonLanguage::getMessage('home_phone'); ?></th>
                        <th class="text-center" ><?php print CommonLanguage::getMessage('mobile_phone'); ?></th>
                        <th class="text-center" ><?php print CommonLanguage::getMessage('work_phone'); ?></th>
                        <th class="text-center" ><?php print CommonLanguage::getMessage('Action'); ?></th>
                    </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </div>
    </div>
</div>
<div class="modal fade bs-example-modal-md" id="DeleteEmergencyFromList" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog" style="width:50%">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                <h4 class="modal-title"><?php print CommonLanguage::getMessage('Confirm_Delete'); ?></h4>
                <div id="DeleteEmergency_modalAlert" class="alert alert-success"></div>
            </div>
            <div class="modal-body">
                <form>
                    <div class="row">
                        <div class="col-md-12 ">
                            <div class="col-md-12" style="margin-top: 20px;">
                                <p><?php print CommonLanguage::getMessage('About_Delete'); ?> <strong class="Name"></strong> </p>
                                <p><?php print CommonLanguage::getMessage('Proceed_Delete'); ?></p>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php print CommonLanguage::getMessage('Close'); ?></button>
                <button type="button" class="btn btn-danger" id="Emergency_Delete" style="width:auto"><?php print CommonLanguage::getMessage('delete'); ?></button>
            </div>
        </div>
    </div>
</div>
<script>
    var Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>,

        Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>,

            title = <?php echo json_encode(CommonLanguage::getMessage('emergency_contact')); ?>,
                relationship =  <?php print json_encode(CommonLanguage::getMessage('relationship')); ?>,
                    employee_ID = <?php echo json_encode($employee_ID) ?>;

                    $(function () {

                        RebuildDataTable(title, [0,1,2,3,4], 'HRMAjax/viewEmployeeEmergencyContactRequest', {employee_ID: employee_ID})
                    })
    var CurrentEmergency_ToDelete;
    $("#tableWithSearch").on("click", ".Action .Delete", function () {
        var EmergencyName = relationship + " "+$(this).parents("tr").find("td:eq(1)").text() //parent tr keep searching till it reach tr 


        $("#DeleteEmergencyFromList").find(".Name").text(EmergencyName).end().modal("show") // to set the name of employee in modal to delete 


        CurrentEmergency_ToDelete = $(this).parents('div.Action').attr('data-id') // current id to delete

    })
    $("#DeleteEmergency_modalAlert").hide(); // hide the alert when submit if true or false
    //on click the delete button in modal get the id of the selected employee to delete it 
    $("#Emergency_Delete").on("click", function () {
        //    console.log(CurrentEmergency_ToDelete)
        var oTable = $('#tableWithSearch').dataTable();
        var me = this;
        $.ajax({
            type: 'POST',
            url: 'HRMAjax/viewEmployeeEmergencyContactRequest',
            data: {GetID: CurrentEmergency_ToDelete},
            complete: function (data, vv) {
                if (vv == "success" && data.responseText == "ok") {
                    $("#DeleteEmergency_modalAlert").attr("class", "alert alert-success").html(Submitted_Successfully).show();
                    setTimeout(function () {
                        $("#DeleteEmergencyFromList").modal("hide")
                        $("#DeleteEmergency_modalAlert").remove()
                    }, 1000)
                    RebuildDataTable(title, [0,1,2,3,4], 'HRMAjax/viewEmployeeEmergencyContactRequest', {employee_ID: employee_ID})


                } else {
                    $("#DeleteEmergency_modalAlert").attr("class", "alert alert-danger").html(Failed_Submit).show();
                }
            }

        });
    })

</script>