<link href="<?php echo THEME_PATH; ?>css/style.css" rel="stylesheet" type="text/css"/>
<link href="<?php echo THEME_PATH; ?>css/style-responsive.css" rel="stylesheet">
<script src="<?php echo JS_PATH; ?>scripts.js"></script>
<div class="wrapper">
    <div class="panel invoice">
        <div class="panel-body">
            <div class="row">
                <div class="col-xs-3">
                    <div class="invoice-logo">
                        <img src="<?= upload_url;?>org_logo/invoice_logo.jpg" alt=""style="max-width:250px"/>
                    </div>
                </div>
                <div class="col-xs-5">
                    <h1><?php echo CommonLanguage::getMessage("view_loan_payment");?></h1>
                </div>
            </div>
            <br/>
            <br/>
            <br/>
            <div class="row">
                <div class="col-xs-4">
                    <!--
<strong>
< ?php print CommonLanguage::getMessage('To');?>
</strong>
<br/>
-->
                    <strong><?php print CommonLanguage::getMessage('Name');?>: <?php echo $List['emp']['Employee_Name']; ?></strong>
                    <br/><strong><?php print CommonLanguage::getMessage('loan_date');?>: <?php echo $List['emp']['Loan_Date']; ?></strong>
                </div>
            </div>
            <br/>
            <br/>
            <table class="table table-striped table-hover">
                <thead>
                    <th><?php echo CommonLanguage::getMessage('Date');?></th>

                    <th><?php echo CommonLanguage::getMessage('amount');?></th>
                </thead>
                <tbody>
                    <?php foreach($List['data'] as $row){?>
                    <tr>
                        <td><?php echo $row['date']?></td>

                        <td><?php echo $row['amount'].' '.$List['emp']['Currency_Symbol'];?></td>
                    </tr>
                    <?php }?>

                </tbody>
            </table>
            <br/>
            <br/>
            <div class="row">
                <div class="col-xs-8">
                    <h4></h4>
                </div>
                <div class="col-xs-4">
                    <table class="table table-hover" id="TotalTable">
                        <tbody>
                            <tr>
                                <td>
                                    <strong><?php print CommonLanguage::getMessage('paid_amount');?></strong>
                                </td>
                                <td class='v-align-middle text-center'><strong><span class='CurrencyIndicator'><?php echo $List['emp']["Currency_Symbol"]; ?></span>&nbsp;<span class=" TotalVal"><?php echo CommonFunctions::public_round_number($List['emp']["Payment_Amount"]);?></span></strong></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-8" id="">
                    <h4></h4>
                </div>
                <div class="col-xs-4">
                    <table class="table table-hover" id="TotalTable">
                        <tbody>
                            <tr>
                                <td class="v-align-middle text-center" style="display:none"></td>
                                <td class="v-align-middle text-center">
                                   <strong> Signature </strong>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <br/>
            <br/>
            <br/>
            <div class="row no-print">
                <div class="col-md-12">
                    <div class="pull-right">
                        <a class="btn btn-danger" onclick="javascript:window.print();"><i class="fa fa-print"></i> <?php print CommonLanguage::getMessage('print');?></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
