
<style type="text/css">
    #TransferRequestTable thead tr th {
        color:#555;
        border-bottom: 1px solid rgba(0,0,0,0.1);
    }
    #TransferRequestTable tbody tr td {
        border:0;
        padding:3px 1px;
        position:relative;
    }
    #TransferRequestTable tbody tr:first-child td{
        padding-top:10px;
    }
    #TransferRequestTable .Hint{
        position: absolute;
        font-size: 10px;
        font-weight: bold;
        height: 20px;
        line-height: 20px;
        bottom: 2px;
        right: 4px;
        color: rgb(153, 153, 153);   
    }
    #TransferRequestTable .TotalTD{
        width: auto;
        display: inline-block;
        text-align: center;
        font-size: 20px;
        font-weight: bold;
    }
    #TransferRequestTable .Disc{
        width:70px;
    }


    .select2-container > .select2-choice{
        background-color: #e5e5e5;
        /*        width: 150px;*/
    }
    #InvoicePaymentSetup .nav.nav-tabs a {
        padding: 7px 14px;
        font-size: 11px;
    }
    .InputSpinner{
        width: 60px;
    }
    .InputSpinner > .form-control{
        border-color: rgb(221, 221, 221);
        height:36px;
        margin:0;
        padding:0;
        text-align: center;
    }
    .InputSpinner > .input-group-btn-vertical {
        position: relative;
        white-space: nowrap;
        width: 25px;
        vertical-align: middle;
        display: table-cell;
    }
    .InputSpinner > .input-group-btn-vertical > .btn {
        height:19px;
        display: block;
        float: none;
        width: 100%;
        max-width: 100%;
        padding: 8px;
        margin-left: -1px;
        position: relative;
        border-radius: 0;
    }
    .InputSpinner > .input-group-btn-vertical > .btn:first-child {
        border-top-right-radius: 4px;
    }
    .InputSpinner > .input-group-btn-vertical > .btn:last-child {
        margin-top: -2px;
        border-bottom-right-radius: 4px;
    }
    .InputSpinner > .input-group-btn-vertical i{
        position: absolute;
        top: 50%;
        left: 6px;
        margin-top:-9px;
        font-size: 18px;
    }
    .InputSpinner .input-group-btn-vertical .btn.btn-default{
        font-size: 10px;
        padding: 6px 10px;
    }

</style>
<div id="OrderDisabler" style="position:absolute;left:0;right:0;top:0px;height:100%;background:rgba(255,255,255,0.9);z-index:2099;display:none"><img class="image-responsive-height demo-mw-50" src="img/demo/progress.svg" alt="Progress" style="position: absolute;left: 50%;top: 50%;margin: -25px 0 0 -25px;" /></div>
<form method="POST" action="" onsubmit="return false" id="TransferOrder">
    <div class="container-fluid container-fixed-lg">
        <div class="panel panel-default">
            <div class="panel-body">
                <div id="OrderSuccess" class="hidden"></div>
                <div class="invoice padding-50 sm-padding-10">
                    <div class="container-sm-height">
                        <div class="row-sm-height">
                            <div class="col-md-9 col-sm-height sm-no-padding">
                                <h2 class="font-montserrat all-caps hint-text text-center"><?php print CommonLanguage::getMessage('Transfers'); ?></h2>
                                <div class="row">
                                    <div class="col-xs-4">
                                        <strong><?php print CommonLanguage::getMessage('From'); ?></strong>
                                        <br><strong><?php echo $Depots_Info_From[0]['Depot_Name']; ?></strong>
                                        <br>
                                        <strong><?php print CommonLanguage::getMessage('Type_of_Storage'); ?>: </strong> <?php echo $Depots_Info_From[0]['Depot_Type_Of_Storage']; ?>
                                        <br>
                                        <strong><?php print CommonLanguage::getMessage('PIC'); ?>: </strong> <?php echo $Depots_Info_From[0]['Employee_Name']; ?>
                                    </div>
                                    <div class="col-xs-4">
                                        <strong>
                                            <?php print CommonLanguage::getMessage('To'); ?>
                                        </strong>
                                        <br><strong><?php echo $Depots_Info_To[0]['Depot_Name']; ?></strong>
                                        <br>
                                        <strong><?php print CommonLanguage::getMessage('Type_of_Storage'); ?>: </strong> <?php echo $Depots_Info_To[0]['Depot_Type_Of_Storage']; ?>
                                        <br>
                                        <strong><?php print CommonLanguage::getMessage('PIC'); ?>: </strong> <?php echo $Depots_Info_To[0]['Employee_Name']; ?>
                                    </div>
                                    <div class="col-xs-4 inv-info">
                                        <h4><strong><?php print CommonLanguage::getMessage('Request'); ?> # <?php echo $Request[0]['serial_prefix'].$Request[0]['Request_Number']; ?></strong></h4>
                                        <input type="hidden" id="Request_ID" value="<?php echo $Request_ID; ?>" />
                                        <input type="hidden" id="Status_ID" value="<?php echo $Request[0]['Status_ID']; ?>" />
                                        <span> <?php print CommonLanguage::getMessage('Request_Date'); ?>  :  </span><span>&nbsp;<?php echo $Request[0]['Request_Date']; ?></span>
                                        <br>
                                        <span> <?php print CommonLanguage::getMessage('Transfer_Date'); ?>  :  </span><span>&nbsp;<?php echo $Request[0]['Transfer_Date']; ?></span>
                                    </div>
                                </div>
                                <div>
                                    <div class="clearfix"></div>
                                </div>
                                <br>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="">
                        <div class="col-md-12   clearfix" style="margin:5px;border: 2px solid #4c0870;padding-left: 6px;padding-right:0">
                            <h5 class="font-montserrat all-caps small no-margin hint-text bold"><?php print CommonLanguage::getMessage('Total_Quantity'); ?></h5>
                            <table class="table" cellpadding="0" cellspacing="0" id="TransferRequestTable">
                                <thead>
                                    <tr>
                                        <th class="text-center">#</th>
                                        <th class="text-center"><?php print CommonLanguage::getMessage('Code'); ?></th>
                                        <th class="text-center"><?php print CommonLanguage::getMessage('Item'); ?></th>
                                        <th class="text-center"><?php print CommonLanguage::getMessage('Quantity'); ?></th>
                                        <th class="text-center"><?php print CommonLanguage::getMessage('UOM'); ?></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
//                                    echo "<pre>";
//                                    print_r($request_details);
                                    $j = 1;
                                    for ($i = 0; $i < count($request_details); $i++) {
                                        ?>
                                        <tr data-id="<?php echo $request_details[$i]['Product_ID']; ?>" data-quantity="<?php //echo $val; ?>">
                                            <td class="text-center Counter"><?php echo $j; ?></td>
                                            <td class="text-center"><?php echo $request_details[$i]['Product_Code']; ?></td>
                                            <td class="text-center"><input type="hidden" class="TypeID" value=""/><?php echo $request_details[$i]['Product_Name']; ?></td>
                                            <td class="text-center Quantity"><input type="hidden" class="UpdatedQuantityVal"  value="<?php echo $request_details[$i]['Request_Qty']; ?>"><?php echo $request_details[$i]['Request_Qty']; ?></td>
                                            <td class="text-center "><?php echo $request_details[$i]['UOM_Name']; ?></td>
                                        </tr>
    <?php $j++;
    $temp = array();
} ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <br>
                    <hr>
                    <div>
                        <span class="m-l-20 text-black sm-pull-right"><?php echo $org_details[0]['Organization_Legal_Name']; ?></span>
                        <span class="m-l-20 text-black sm-pull-right"><?php echo $org_details[0]['Organization_Province']; ?> <?php echo $org_details[0]['Organization_Country']; ?> - <?php echo $org_details[0]['Organization_City']; ?></span>
                        <span class="m-l-20 text-black sm-pull-right">CR: <?php echo $org_details[0]['Organization_Commercial_Registry']; ?></span>
                        <span class="m-l-20 text-black sm-pull-right"><?php print CommonLanguage::getMessage('Phone'); ?>: <?php echo $org_details[0]['Organization_Phone']; ?></span>
                        <span class="m-l-40 text-black sm-pull-right"><?php print CommonLanguage::getMessage('Email'); ?>: <?php echo $org_details[0]['Organization_Email']; ?></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
